org.eclipse.incquery.runtime.rete.recipes

## Interface MultiParentNodeRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Subinterfaces:
    ProductionRecipe, UniquenessEnforcerRecipe
  All Known Implementing Classes:
    MultiParentNodeRecipeImpl, ProductionRecipeImpl, UniquenessEnforcerRecipeImpl

      public interface MultiParentNodeRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Multi Parent Node Recipe'.

  The following features are supported:

  - `Parents`
  See Also:
    `RecipesPackage.getMultiParentNodeRecipe()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()`
    `org.eclipse.emf.common.util.EList<ReteNodeRecipe>` | `getParents()` Returns the value of the 'Parents' reference list.

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParents

          org.eclipse.emf.common.util.EList<ReteNodeRecipe> getParents()

      Returns the value of the 'Parents' reference list. The list contents are of type `ReteNodeRecipe`.

      If the meaning of the 'Parents' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parents' reference list.
      See Also:
        `RecipesPackage.getMultiParentNodeRecipe_Parents()`

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`